EDIT - bug #6115

protect cdm content by drupal permission
09/29/2016 06:40 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.4

Severity: normal Found in Version:

Description

A couple of portals are currently in maintenance mode because the taxa and names must not be disclosed to the public.
| would be better to protect all content coming from the cdm with a drupal permission: view cdm content

By default this permission should be given to the role 'anonymous user' and 'authenticated user'
TASKS:

e implement permission view cdm content
¢ implement update
¢ modify installation profile

Making the cdm content inaccessible by making use of this role requires a few steps:

1. Adapt the permission Access CDM content in admin/people/permissions. E.g. withdraw the permission Access CDM content
from the anonymous user
2. Configure the visibility of the activated cdm blocks by restricting the block visibility to specific roles. In the block configuration
form (Structure->Blocks-->Configure): Roles --> Show block for specific roles. E.g. Allow all roles except anonymous user.
o CDM taxon tree admin/structure/block/manage/cdm_taxontree/cdm_tree/configure
o CDM - Search Taxa admin/structure/block/manage/cdm_dataportal/2/configure
o CDM - Classification breadcrumbs
o CDM - Taxonomic children
CDM - Identification keys

e}

Subtasks:
bug # 6235: page duplication when accessing resticted content Rejected

Associated revisions

Revision c6fe437b - 10/04/2016 12:44 PM - Andreas Kohlbecker

fix #6115 protecting all cdm content with new permission

Revision 239¢4040 - 11/08/2016 04:37 PM - Andreas Kohlbecker

fix #6115 adding missing permission check to cdm nodes integration

History

#1 - 10/04/2016 12:45 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal:commit:cdm-dataportal|c6fe437bfe330b2aa1cc96d32d956edfc14f8b19.

#2 - 10/04/2016 12:55 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

Hi Andreas,

the review of this ticket need intensive testing. | suggest we use one of the published portals on the edit-test server to configure it so that we can
reproduce the use case of the caryophyllales portals. We could use the euro+med portal for this purpose.
Andreas

http://test.e-taxonomy.eu/dataportal/preview/euromed/

#3 - 11/08/2016 12:27 PM - Andreas Kohlbecker

- Status changed from Resolved to In Progress

The protection can be by passed by accesing the the content via the drupal node integration. An according check must be implemented in the node
integration.

#4 - 11/08/2016 12:27 PM - Andreas Kohlbecker

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#5 - 11/08/2016 12:57 PM - Andreas Kohlbecker
- Description updated

#6 - 11/08/2016 01:00 PM - Andreas Kohlbecker
- Description updated

#7 - 11/08/2016 01:01 PM - Andreas Kohlbecker
- Description updated

#8 - 11/08/2016 01:15 PM - Andreas Miiller

- Assignee changed from Andreas Kohlbecker to Andreas Miller

Currently the taxon tree is still shown at Flora Malesiana: http:/test.e-taxonomy.eu/dataportal/preview/flora-malesiana/
But maybe this is only an update problem as the same does not happen at Euro+Med

#9 - 11/08/2016 01:16 PM - Andreas Miuller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

#10 - 11/08/2016 01:34 PM - Andreas Kohlbecker
Andreas Muller wrote:
Currently the taxon tree is still shown at Flora Malesiana: http:/test.e-taxonomy.eu/dataportal/preview/flora-malesiana/
But maybe this is only an update problem as the same does not happen at Euro+Med
As explained in the updated issue description the block must be configured individually. This is neither a bug not an update problem. The

implementation of the new permission was the missing feature. With this permission a portal can now configure so that no cdm content is
undisclosed. Except for the bug described in comment 3

#11 - 11/08/2016 04:38 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

Applied in changeset cdm-dataportal|239c4040ea26be2c36b2344e4aa276f27bee55db.

#12 - 11/08/2016 04:41 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

| fixed the above described bug. Please test again.

NOTE: There is a new section in the description on how to test this feature.

#13 - 01/06/2017 11:40 AM - Andreas Miuiller

- Description updated

#14 - 01/06/2017 11:42 AM - Andreas Miiller

- Status changed from Resolved to Feedback
http://test.e-taxonomy.eu/dataportal/preview/euromed/
http://test.e-taxonomy.eu/dataportal/preview/flora-malesiana/
http://test.e-taxonomy.eu/dataportal/preview/flora-malesiana/
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/239c4040ea26be2c36b2344e4aa276f27bee55db

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

Seems to work, so we can close this ticket.

Only issue is that it is difficult to use so | wonder if we can't have a one click solution that does all this in background, if possible.

#15 - 05/11/2017 08:24 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
